#!/opt/cloudlinux/venv/bin/python3 -bb
# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT

import logging

import sentry_sdk
from clcommon.utils import get_rhn_systemid_value
from version import VERSION as PKG_VERSION

SENTRY_DNS = 'https://b419a922cecb43c9945f41b2805caf52@cl.sentry.cloudlinux.com/27'


def setup_logger(logger_name):
    logging.basicConfig(filename='/var/log/cl_wmt.log',
                        format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
                        datefmt='%Y.%m.%d %I:%M:%S %p')
    return logging.getLogger(logger_name)


def init_wmt_sentry_client():
    sentry_sdk.init(SENTRY_DNS, release=PKG_VERSION)
    sentry_sdk.set_tag('CloudLinux version', get_rhn_systemid_value('os_release'))
    sentry_sdk.set_tag('Architecture', get_rhn_systemid_value('architecture'))
    sentry_sdk.set_tag('Version', PKG_VERSION)
    sentry_sdk.set_tag('Project', 'web-monitoring-tool')
    systemid = get_rhn_systemid_value('system_id') or 'unknown'
    sentry_sdk.set_user({'ID': systemid})
